Skip to main content
GET
/
v2
/
data
/
query
/
schema
Get schemas details
curl --request GET \
  --url https://api.cdp.coinbase.com/platform/v2/data/query/schema \
  --header 'Authorization: Bearer <token>'
{
  "tables": [
    {
      "database": "base",
      "table": "events",
      "columns": [
        {
          "name": "event_signature",
          "type": "String",
          "nullable": false,
          "description": "The signature of the decoded event log.",
          "indexOrder": 0
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Query Parameters

database
enum<string>
default:base

The name of the database to query. Defaults to "base" when not specified.

Available options:
base,
base_sepolia
table
string

Get the schema for a specific table.

Response

Schema information retrieved successfully.

Schema information for available blockchain data tables.

tables
object[]

List of available tables.

Example:
[
{
"database": "base",
"table": "events",
"columns": [
{
"name": "event_signature",
"type": "String",
"nullable": false,
"description": "The signature of the decoded event log.",
"indexOrder": 0
}
]
}
]